Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv_pra.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv_pra.F90	(revision 9122)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv_pra.F90	(revision 9123)
@@ -708,6 +708,6 @@
             CALL iom_get( numrir, jpdom_autoglo, 'sxyage', sxyage )
             !                                                        ! open water in sea ice
-            CALL iom_get( numrir, jpdom_autoglo, 'sxopw ', sxopw  )
-            CALL iom_get( numrir, jpdom_autoglo, 'syopw ', syopw  )
+            CALL iom_get( numrir, jpdom_autoglo, 'sxopw' , sxopw  )
+            CALL iom_get( numrir, jpdom_autoglo, 'syopw' , syopw  )
             CALL iom_get( numrir, jpdom_autoglo, 'sxxopw', sxxopw )
             CALL iom_get( numrir, jpdom_autoglo, 'syyopw', syyopw )
@@ -716,9 +716,9 @@
             DO jk = 1, nlay_i 
                WRITE(zchar1,'(I2.2)') jk
-               znam = 'sxe'//'_il'//zchar1   ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxe (:,:,jk,:) = z3d(:,:,:)
-               znam = 'sye'//'_il'//zchar1   ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sye (:,:,jk,:) = z3d(:,:,:)
-               znam = 'sxxe'//'_il'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxxe(:,:,jk,:) = z3d(:,:,:)
-               znam = 'syye'//'_il'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   syye(:,:,jk,:) = z3d(:,:,:)
-               znam = 'sxye'//'_il'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxye(:,:,jk,:) = z3d(:,:,:)
+               znam = 'sxe'//'_l'//zchar1   ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxe (:,:,jk,:) = z3d(:,:,:)
+               znam = 'sye'//'_l'//zchar1   ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sye (:,:,jk,:) = z3d(:,:,:)
+               znam = 'sxxe'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxxe(:,:,jk,:) = z3d(:,:,:)
+               znam = 'syye'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   syye(:,:,jk,:) = z3d(:,:,:)
+               znam = 'sxye'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxye(:,:,jk,:) = z3d(:,:,:)
             END DO
             !
@@ -802,6 +802,6 @@
          CALL iom_rstput( iter, nitrst, numriw, 'sxyage', sxyage )
          !                                                           ! open water in sea ice
-         CALL iom_rstput( iter, nitrst, numriw, 'sxopw ', sxopw  )
-         CALL iom_rstput( iter, nitrst, numriw, 'syopw ', syopw  )
+         CALL iom_rstput( iter, nitrst, numriw, 'sxopw' , sxopw  )
+         CALL iom_rstput( iter, nitrst, numriw, 'syopw' , syopw  )
          CALL iom_rstput( iter, nitrst, numriw, 'sxxopw', sxxopw )
          CALL iom_rstput( iter, nitrst, numriw, 'syyopw', syyopw )
@@ -810,9 +810,9 @@
          DO jk = 1, nlay_i 
             WRITE(zchar1,'(I2.2)') jk
-            znam = 'sxe'//'_il'//zchar1   ;   z3d(:,:,:) = sxe (:,:,jk,:)   ;   CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
-            znam = 'sye'//'_il'//zchar1   ;   z3d(:,:,:) = sye (:,:,jk,:)   ;   CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
-            znam = 'sxxe'//'_il'//zchar1  ;   z3d(:,:,:) = sxxe(:,:,jk,:)   ;   CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
-            znam = 'syye'//'_il'//zchar1  ;   z3d(:,:,:) = syye(:,:,jk,:)   ;   CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
-            znam = 'sxye'//'_il'//zchar1  ;   z3d(:,:,:) = sxye(:,:,jk,:)   ;   CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
+            znam = 'sxe'//'_l'//zchar1   ;   z3d(:,:,:) = sxe (:,:,jk,:)   ;   CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
+            znam = 'sye'//'_l'//zchar1   ;   z3d(:,:,:) = sye (:,:,jk,:)   ;   CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
+            znam = 'sxxe'//'_l'//zchar1  ;   z3d(:,:,:) = sxxe(:,:,jk,:)   ;   CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
+            znam = 'syye'//'_l'//zchar1  ;   z3d(:,:,:) = syye(:,:,jk,:)   ;   CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
+            znam = 'sxye'//'_l'//zchar1  ;   z3d(:,:,:) = sxye(:,:,jk,:)   ;   CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
          END DO
          !
Index: /branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90	(revision 9122)
+++ /branches/2017/dev_merge_2017/NEMOGCM/NEMO/LIM_SRC_3/icerst.F90	(revision 9123)
@@ -135,9 +135,9 @@
       ! Snow enthalpy (1st snow layer only)
       z3d = e_s(:,:,1,:)
-      CALL iom_rstput( iter, nitrst, numriw, 'tempt_sl1' , z3d )
+      CALL iom_rstput( iter, nitrst, numriw, 'e_s_l01' , z3d )
       ! Ice enthalpy (all ice layers)
       DO jk = 1, nlay_i 
          WRITE(zchar1,'(I2.2)') jk
-         znam = 'tempt'//'_il'//zchar1
+         znam = 'e_i'//'_l'//zchar1
          z3d(:,:,:) = e_i(:,:,jk,:)
          CALL iom_rstput( iter, nitrst, numriw, znam , z3d )
@@ -221,10 +221,10 @@
 !!gm dangerous !!!!!  ===>>>> better reading writing all snow layers !
       ! Snow enthalpy (1st snow layer only)
-      CALL iom_get( numrir, jpdom_autoglo, 'tempt_sl1' , z3d )
+      CALL iom_get( numrir, jpdom_autoglo, 'e_s_l01' , z3d )
       e_s(:,:,1,:) = z3d
       ! Ice enthalpy (all ice layers)
       DO jk = 1, nlay_i 
          WRITE(zchar1,'(I2.2)') jk
-         znam = 'tempt'//'_il'//zchar1
+         znam = 'e_i'//'_l'//zchar1
          CALL iom_get( numrir, jpdom_autoglo, znam , z3d )
          e_i(:,:,jk,:) = z3d(:,:,:)