Index: /branches/NERC/dev_r5518_GO6_conserv_Check/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- /branches/NERC/dev_r5518_GO6_conserv_Check/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 9127)
+++ /branches/NERC/dev_r5518_GO6_conserv_Check/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 9128)
@@ -280,130 +280,4 @@
       IF ( lwp ) CALL flush(numout)
       !
-      ! This second check dodges around the halo points in the grid
-      ! to check that glob_sum is doing what it's supposed to be
-      ! doing; note that the loop ordering here is the "correct" way 
-      ! (according to Dr. Google)
-      !
-      IF ( lwp ) WRITE(numout,*)
-      IF ( lwp ) WRITE(numout,*)    ' Elemental cycle totals (check): '
-      ! ocean cells
-      loc_cycletot3(:) = 0._wp
-      loc_vol          = 0._wp
-      DO jk = 1, jpk
-         DO jj = nldj,nlej
-            DO ji = nldi,nlei
-               loc_vol = loc_vol + cvol(ji,jj,jk)
-               ! nitrogen
-               zq1 = trn(ji,jj,jk,jpphn) + trn(ji,jj,jk,jpphd) + trn(ji,jj,jk,jpzmi) + &
-                     trn(ji,jj,jk,jpzme) + trn(ji,jj,jk,jpdet) + trn(ji,jj,jk,jpdin)
-               loc_cycletot3(1) = loc_cycletot3(1) + ( zq1 * cvol(ji,jj,jk) )
-               ! silicon
-               zq1 = trn(ji,jj,jk,jppds) + trn(ji,jj,jk,jpsil)
-               loc_cycletot3(2) = loc_cycletot3(2) + ( zq1 * cvol(ji,jj,jk) )
-               ! iron
-               zq1 = ((trn(ji,jj,jk,jpphn) + trn(ji,jj,jk,jpphd) + trn(ji,jj,jk,jpzmi) + &
-                     trn(ji,jj,jk,jpzme) + trn(ji,jj,jk,jpdet)) * xrfn) + trn(ji,jj,jk,jpfer)
-               loc_cycletot3(3) = loc_cycletot3(3) + ( zq1 * cvol(ji,jj,jk) )
-               ! carbon
-               zq1 = (trn(ji,jj,jk,jpphn) * xthetapn)  + (trn(ji,jj,jk,jpphd) * xthetapd)  +  &
-                     (trn(ji,jj,jk,jpzmi) * xthetazmi) + (trn(ji,jj,jk,jpzme) * xthetazme) +  &
-                     trn(ji,jj,jk,jpdtc) + trn(ji,jj,jk,jpdic)
-               loc_cycletot3(4) = loc_cycletot3(4) + ( zq1 * cvol(ji,jj,jk) )
-               ! alkalinity
-               zq1 = trn(ji,jj,jk,jpalk)
-               loc_cycletot3(5) = loc_cycletot3(5) + ( zq1 * cvol(ji,jj,jk) )
-               ! oxygen
-               zq1 = trn(ji,jj,jk,jpoxy)
-               loc_cycletot3(6) = loc_cycletot3(6) + ( zq1 * cvol(ji,jj,jk) )
-            ENDDO
-         ENDDO
-      ENDDO
-      !
-      ! sediment cells
-      loc_cycletot2(:) = 0._wp
-      loc_area         = 0._wp
-      jk = 1
-      DO jj = nldj,nlej
-         DO ji = nldi,nlei
-            loc_area = loc_area + (e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! nitrogen
-            zq1 = zn_sed_n(ji,jj)
-            loc_cycletot2(1) = loc_cycletot2(1) + (zq1 * e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! silicon
-            zq1 = zn_sed_si(ji,jj)
-            loc_cycletot2(2) = loc_cycletot2(2) + (zq1 * e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! iron
-            zq1 = zn_sed_fe(ji,jj)
-            loc_cycletot2(3) = loc_cycletot2(3) + (zq1 * e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! carbon
-            zq1 = zn_sed_c(ji,jj) + zn_sed_ca(ji,jj)
-            loc_cycletot2(4) = loc_cycletot2(4) + (zq1 * e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! alkalinity
-            zq1 = zn_sed_ca(ji,jj) * 2._wp
-            loc_cycletot2(5) = loc_cycletot2(5) + (zq1 * e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! skip oxygen
-         ENDDO
-      ENDDO
-      !
-      ! report back
-      zq1 = loc_cycletot3(1)
-      zq2 = loc_cycletot2(1) 
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      cycletot2(1) = zq1 + zq2
-      IF ( lwp ) WRITE(numout,9010) 'nitrogen',   zq1, zq2, cycletot2(1)
-      zq1 = loc_cycletot3(2) 
-      zq2 = loc_cycletot2(2) 
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      cycletot2(2) = zq1 + zq2
-      IF ( lwp ) WRITE(numout,9010) 'silicon',    zq1, zq2, cycletot2(2)
-      zq1 = loc_cycletot3(3) 
-      zq2 = loc_cycletot2(3) 
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      cycletot2(3) = zq1 + zq2
-      IF ( lwp ) WRITE(numout,9010) 'iron',       zq1, zq2, cycletot2(3)
-      zq1 = loc_cycletot3(4) 
-      zq2 = loc_cycletot2(4) 
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      cycletot2(4) = zq1 + zq2
-      IF ( lwp ) WRITE(numout,9010) 'carbon',     zq1, zq2, cycletot2(4)
-      zq1 = loc_cycletot3(5) 
-      zq2 = loc_cycletot2(5) 
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      cycletot2(5) = zq1 + zq2
-      IF ( lwp ) WRITE(numout,9010) 'alkalinity', zq1, zq2, cycletot2(5)
-      zq1 = loc_cycletot3(6) 
-      zq2 = loc_cycletot2(6) 
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      cycletot2(6) = zq1 + zq2
-      IF ( lwp ) WRITE(numout,9010) 'oxygen',     zq1, zq2, cycletot2(6)
-      zq1 = loc_vol 
-      zq2 = loc_area       
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      IF ( lwp ) WRITE(numout,*)
-      IF ( lwp ) WRITE(numout,*) ' check : cvol    : ', zq1
-      IF ( lwp ) WRITE(numout,*) ' check : carea   : ', zq2
-      IF ( lwp ) WRITE(numout,*)
-      IF ( lwp ) CALL flush(numout)
-      !
-      ! report back
-      ! nitrogen
-      ztot3d(:,:,:) = trn(:,:,:,jpphn) + trn(:,:,:,jpphd) + trn(:,:,:,jpzmi) + &
-                      trn(:,:,:,jpzme) + trn(:,:,:,jpdet) + trn(:,:,:,jpdin)
-      ztot2d(:,:)   = zn_sed_n(:,:)
-      zsum3d        = glob_sum( ztot3d(nldi:nlei,nldj:nlej,:) * cvol(nldi:nlei,nldj:nlej,:) )
-      zsum2d        = glob_sum( ztot2d(nldi:nlei,nldj:nlej) * carea(nldi:nlei,nldj:nlej) )
-      cycletot(1)   = zsum3d + zsum2d
-      IF ( lwp ) WRITE(numout,9010) 'nitrogen', zsum3d, zsum2d, cycletot(1)
-      IF ( lwp ) CALL flush(numout)
-
-      !
-
 # endif
 
Index: /branches/NERC/dev_r5518_GO6_conserv_Check/NEMOGCM/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- /branches/NERC/dev_r5518_GO6_conserv_Check/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 9127)
+++ /branches/NERC/dev_r5518_GO6_conserv_Check/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 9128)
@@ -842,172 +842,4 @@
       IF ( lwp ) CALL flush(numout)
       !
-      !----------------------------------------------------------------------
-      ! Excluding Halo version:
-      !
-      ! This second check dodges around the halo points in the grid
-      ! to check that glob_sum is doing what it's supposed to be
-      ! doing; note that the loop ordering here is the "correct" way 
-      ! (according to Dr. Google)
-      !
-      IF ( lwp ) WRITE(numout,*)
-      IF ( lwp ) WRITE(numout,*)    ' Elemental cycle totals (check): '
-      ! ocean cells
-      loc_cycletot3(:) = 0._wp
-      loc_vol          = 0._wp
-      DO jk = 1, jpk
-         DO jj = nldj,nlej
-            DO ji = nldi,nlei
-               loc_vol = loc_vol + cvol(ji,jj,jk)
-               ! nitrogen
-               zq1 = trn(ji,jj,jk,jpphn) + trn(ji,jj,jk,jpphd) + trn(ji,jj,jk,jpzmi) + &
-                     trn(ji,jj,jk,jpzme) + trn(ji,jj,jk,jpdet) + trn(ji,jj,jk,jpdin)
-               loc_cycletot3(1) = loc_cycletot3(1) + ( zq1 * cvol(ji,jj,jk) )
-               ! silicon
-               zq1 = trn(ji,jj,jk,jppds) + trn(ji,jj,jk,jpsil)
-               loc_cycletot3(2) = loc_cycletot3(2) + ( zq1 * cvol(ji,jj,jk) )
-               ! iron
-               zq1 = ((trn(ji,jj,jk,jpphn) + trn(ji,jj,jk,jpphd) + trn(ji,jj,jk,jpzmi) + &
-                     trn(ji,jj,jk,jpzme) + trn(ji,jj,jk,jpdet)) * xrfn) + trn(ji,jj,jk,jpfer)
-               loc_cycletot3(3) = loc_cycletot3(3) + ( zq1 * cvol(ji,jj,jk) )
-               ! carbon
-               zq1 = (trn(ji,jj,jk,jpphn) * xthetapn)  + (trn(ji,jj,jk,jpphd) * xthetapd)  +  &
-                     (trn(ji,jj,jk,jpzmi) * xthetazmi) + (trn(ji,jj,jk,jpzme) * xthetazme) +  &
-                     trn(ji,jj,jk,jpdtc) + trn(ji,jj,jk,jpdic)
-               loc_cycletot3(4) = loc_cycletot3(4) + ( zq1 * cvol(ji,jj,jk) )
-               ! alkalinity
-               zq1 = trn(ji,jj,jk,jpalk)
-               loc_cycletot3(5) = loc_cycletot3(5) + ( zq1 * cvol(ji,jj,jk) )
-               ! oxygen
-               zq1 = trn(ji,jj,jk,jpoxy)
-               loc_cycletot3(6) = loc_cycletot3(6) + ( zq1 * cvol(ji,jj,jk) )
-            ENDDO
-         ENDDO
-      ENDDO
-      !
-      ! sediment cells
-      loc_cycletot2(:) = 0._wp
-      loc_area         = 0._wp
-      jk = 1
-      DO jj = nldj,nlej
-         DO ji = nldi,nlei
-            loc_area = loc_area + (e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! nitrogen
-            zq1 = zn_sed_n(ji,jj)
-            loc_cycletot2(1) = loc_cycletot2(1) + (zq1 * e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! silicon
-            zq1 = zn_sed_si(ji,jj)
-            loc_cycletot2(2) = loc_cycletot2(2) + (zq1 * e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! iron
-            zq1 = zn_sed_fe(ji,jj)
-            loc_cycletot2(3) = loc_cycletot2(3) + (zq1 * e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! carbon
-            zq1 = zn_sed_c(ji,jj) + zn_sed_ca(ji,jj)
-            loc_cycletot2(4) = loc_cycletot2(4) + (zq1 * e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! alkalinity
-            zq1 = zn_sed_ca(ji,jj) * 2._wp
-            loc_cycletot2(5) = loc_cycletot2(5) + (zq1 * e1e2t(ji,jj) * tmask(ji,jj,jk))
-            ! skip oxygen
-         ENDDO
-      ENDDO
-     IF ( lwp ) WRITE(numout,*) '-- New Check --'
-      !
-      !----------------------------------------------------------------------
-      ! nitrogen
-      ! total tracer, and delta
-      zq1 = loc_cycletot3(1)
-      zq2 = loc_cycletot2(1)
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      zinvt      = zq1 + zq2
-      zdelta     = zinvt - cycletot2(1)
-      zratio     = 1.0e2 * zdelta / cycletot2(1)
-      !
-      IF ( lwp ) WRITE(numout,9010) 'nitrogen', zq1, zq2, zinvt,   &
-         cycletot2(1), zdelta, zratio
-      IF ( lwp ) WRITE(numout,*)
-      !
-      !----------------------------------------------------------------------
-      ! silicon
-      zq1 = loc_cycletot3(2)
-      zq2 = loc_cycletot2(2)
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      zinvt      = zq1 + zq2
-      zdelta     = zinvt - cycletot2(2)
-      zratio     = 1.0e2 * zdelta / cycletot2(2)
-      !
-      IF ( lwp ) WRITE(numout,9010) 'silicon', zq1, zq2, zinvt,   &
-         cycletot2(2), zdelta, zratio
-      IF ( lwp ) WRITE(numout,*)
-      !
-      !----------------------------------------------------------------------
-      ! iron
-      zq1 = loc_cycletot3(3)
-      zq2 = loc_cycletot2(3)
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      zinvt      = zq1 + zq2
-      zdelta     = zinvt - cycletot2(3)
-      zratio     = 1.0e2 * zdelta / cycletot2(3)
-      !
-      IF ( lwp ) WRITE(numout,9010) 'iron', zq1, zq2, zinvt,   &
-         cycletot2(3), zdelta, zratio
-      IF ( lwp ) WRITE(numout,*)
-      !
-      !----------------------------------------------------------------------
-      ! carbon
-      zq1 = loc_cycletot3(4)
-      zq2 = loc_cycletot2(4)
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      zinvt      = zq1 + zq2
-      zdelta     = zinvt - cycletot2(4)
-      zratio     = 1.0e2 * zdelta / cycletot2(4)
-      !
-      IF ( lwp ) WRITE(numout,9010) 'carbon', zq1, zq2, zinvt,   &
-         cycletot2(4), zdelta, zratio
-      IF ( lwp ) WRITE(numout,*)
-      !
-      !----------------------------------------------------------------------
-      ! alkalinity
-      zq1 = loc_cycletot3(5)
-      zq2 = loc_cycletot2(5)
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      zinvt      = zq1 + zq2
-      zdelta     = zinvt - cycletot2(5)
-      zratio     = 1.0e2 * zdelta / cycletot2(5)
-      !
-      IF ( lwp ) WRITE(numout,9010) 'alkalinity', zq1, zq2, zinvt,   &
-         cycletot2(5), zdelta, zratio
-      IF ( lwp ) WRITE(numout,*)
-      !
-      !----------------------------------------------------------------------
-      ! oxygen
-      zq1 = loc_cycletot3(6)
-      zq2 = loc_cycletot2(6)
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      zinvt      = zq1 + zq2
-      zdelta     = zinvt - cycletot2(6)
-      zratio     = 1.0e2 * zdelta / cycletot2(6)
-      !
-      IF ( lwp ) WRITE(numout,9010) 'oxygen', zq1, zq2, zinvt,   &
-         cycletot2(6), zdelta, zratio
-      IF ( lwp ) WRITE(numout,*)
-      !
-      !---------------------------------------------------------------------
-      zq1 = loc_vol
-      zq2 = loc_area
-      IF( lk_mpp )   CALL mpp_sum( zq1 )
-      IF( lk_mpp )   CALL mpp_sum( zq2 )
-      IF ( lwp ) WRITE(numout,*)
-      IF ( lwp ) WRITE(numout,*) ' check : cvol    : ', zq1
-      IF ( lwp ) WRITE(numout,*) ' check : carea   : ', zq2
-      IF ( lwp ) WRITE(numout,*)
-      IF ( lwp ) CALL flush(numout)
-
-      !!
-      !!
 9010  FORMAT(' element:',a10,                     &
              ' 3d sum:',e18.10,' 2d sum:',e18.10, &