Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/EXP00/namelist_cfg	(revision 9134)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/EXP00/namelist_cfg	(revision 9135)
@@ -6,4 +6,6 @@
 !-----------------------------------------------------------------------
    ln_zps      = .true.    ! z-partial-step coordinate
+   ln_zco      = .false.   ! z-full-step coordinate
+   ln_sco      = .false.   ! s-coordinate
    rn_e1deg    =   0.3     !  zonal      grid-spacing (degrees)
    rn_e2deg    =   0.1     !  meridional grid-spacing (degrees)
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_zgr.F90	(revision 9134)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_zgr.F90	(revision 9135)
@@ -16,5 +16,4 @@
    !!---------------------------------------------------------------------
    USE oce            ! ocean variables
-   USE dom_oce ,  ONLY: ln_zco, ln_zps, ln_sco          ! ocean space and time domain
    USE dom_oce ,  ONLY: mj0   , mj1   , nimpp , njmpp   ! ocean space and time domain
    USE dom_oce ,  ONLY: glamt , gphit                   ! ocean space and time domain
@@ -52,12 +51,12 @@
       !!
       !!----------------------------------------------------------------------
-      LOGICAL                   , INTENT(out) ::   ld_zco, ld_zps, ld_sco      ! vertical coordinate flags
-      LOGICAL                   , INTENT(out) ::   ld_isfcav                   ! under iceshelf cavity flag
-      REAL(wp), DIMENSION(:)    , INTENT(out) ::   pdept_1d, pdepw_1d          ! 1D grid-point depth     [m]
-      REAL(wp), DIMENSION(:)    , INTENT(out) ::   pe3t_1d , pe3w_1d           ! 1D grid-point depth     [m]
-      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pdept, pdepw                ! grid-point depth        [m]
-      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pe3t , pe3u , pe3v , pe3f   ! vertical scale factors  [m]
-      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pe3w , pe3uw, pe3vw         ! i-scale factors 
-      INTEGER , DIMENSION(:,:)  , INTENT(out) ::   k_top, k_bot                ! first & last ocean level
+      LOGICAL                   , INTENT(in   ) ::   ld_zco, ld_zps, ld_sco      ! vertical coordinate flags ( read in namusr_def )
+      LOGICAL                   , INTENT(  out) ::   ld_isfcav                   ! under iceshelf cavity flag
+      REAL(wp), DIMENSION(:)    , INTENT(  out) ::   pdept_1d, pdepw_1d          ! 1D grid-point depth     [m]
+      REAL(wp), DIMENSION(:)    , INTENT(  out) ::   pe3t_1d , pe3w_1d           ! 1D grid-point depth     [m]
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   pdept, pdepw                ! grid-point depth        [m]
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   pe3t , pe3u , pe3v , pe3f   ! vertical scale factors  [m]
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   pe3w , pe3uw, pe3vw         ! i-scale factors 
+      INTEGER , DIMENSION(:,:)  , INTENT(  out) ::   k_top, k_bot                ! first & last ocean level
       !
       INTEGER  ::   ji , jj, jk       ! dummy indices
@@ -80,7 +79,4 @@
       ! ---------------------------
       ! set in usrdef_nam.F90 by reading the namusr_def namelist except for ISF
-      ln_zco    = .FALSE.      ! z-partial-step coordinate
-      ln_zps    = .TRUE.       ! z-partial-step coordinate
-      ln_sco    = .FALSE.      ! s-coordinate
       ld_isfcav = .TRUE.       ! ISF Ice Shelves Flag
       !
@@ -109,5 +105,5 @@
       !                       !==  top masked level bathymetry  ==!  (all coordinates)
       !
-      IF ( ln_zps ) THEN      !==  zps-coordinate  ==!   (partial bottom-steps)
+      IF ( ld_zps ) THEN      !==  zps-coordinate  ==!   (partial bottom-steps)
          !
          ze3min = 0.1_wp * rn_e3
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_zgr.F90	(revision 9134)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_zgr.F90	(revision 9135)
@@ -15,5 +15,4 @@
    !!---------------------------------------------------------------------
    USE oce            ! ocean variables
-   USE dom_oce ,  ONLY: ln_zco, ln_zps, ln_sco   ! ocean space and time domain
    USE usrdef_nam     ! User defined : namelist variables
    !
@@ -67,10 +66,9 @@
       !
       !
-      ! type of vertical coordinate
+      ! type of vertical coordinate   ==>>>   here LOCK EXCHANGE : flat bottom always 
       ! ---------------------------
-      ! set in usrdef_nam.F90 by reading the namusr_def namelist only ln_zco
-      ln_zco    = .TRUE.       ! z-partial-step coordinate
-      ln_zps    = .FALSE.      ! z-partial-step coordinate
-      ln_sco    = .FALSE.      ! s-coordinate
+      ld_zco    = .TRUE.       ! z-partial-step coordinate
+      ld_zps    = .FALSE.      ! z-partial-step coordinate
+      ld_sco    = .FALSE.      ! s-coordinate
       ld_isfcav = .FALSE.      ! ISF Ice Shelves Flag
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_zgr.F90	(revision 9134)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_zgr.F90	(revision 9135)
@@ -15,5 +15,4 @@
    !!---------------------------------------------------------------------
    USE oce            ! ocean variables
-   USE dom_oce ,  ONLY: ln_zco, ln_zps, ln_sco   ! ocean space and time domain
    USE dom_oce ,  ONLY: mi0, mi1, nimpp, njmpp   ! ocean space and time domain
    USE dom_oce ,  ONLY: glamt                    ! ocean space and time domain
@@ -51,12 +50,12 @@
       !!
       !!----------------------------------------------------------------------
-      LOGICAL                   , INTENT(out) ::   ld_zco, ld_zps, ld_sco      ! vertical coordinate flags
-      LOGICAL                   , INTENT(out) ::   ld_isfcav                   ! under iceshelf cavity flag
-      REAL(wp), DIMENSION(:)    , INTENT(out) ::   pdept_1d, pdepw_1d          ! 1D grid-point depth     [m]
-      REAL(wp), DIMENSION(:)    , INTENT(out) ::   pe3t_1d , pe3w_1d           ! 1D grid-point depth     [m]
-      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pdept, pdepw                ! grid-point depth        [m]
-      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pe3t , pe3u , pe3v , pe3f   ! vertical scale factors  [m]
-      REAL(wp), DIMENSION(:,:,:), INTENT(out) ::   pe3w , pe3uw, pe3vw         ! i-scale factors 
-      INTEGER , DIMENSION(:,:)  , INTENT(out) ::   k_top, k_bot                ! first & last ocean level
+      LOGICAL                   , INTENT(in   ) ::   ld_zco, ld_zps, ld_sco      ! vertical coordinate flags ( read in namusr_def )
+      LOGICAL                   , INTENT(  out) ::   ld_isfcav                   ! under iceshelf cavity flag
+      REAL(wp), DIMENSION(:)    , INTENT(  out) ::   pdept_1d, pdepw_1d          ! 1D grid-point depth     [m]
+      REAL(wp), DIMENSION(:)    , INTENT(  out) ::   pe3t_1d , pe3w_1d           ! 1D grid-point depth     [m]
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   pdept, pdepw                ! grid-point depth        [m]
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   pe3t , pe3u , pe3v , pe3f   ! vertical scale factors  [m]
+      REAL(wp), DIMENSION(:,:,:), INTENT(  out) ::   pe3w , pe3uw, pe3vw         ! i-scale factors 
+      INTEGER , DIMENSION(:,:)  , INTENT(  out) ::   k_top, k_bot                ! first & last ocean level
       !
       INTEGER  ::   ji, jj, jk        ! dummy indices
@@ -118,5 +117,5 @@
       !                              
       !
-      IF ( ln_sco ) THEN      !==  s-coordinate  ==!   (terrain-following coordinate)
+      IF ( ld_sco ) THEN      !==  s-coordinate  ==!   (terrain-following coordinate)
          !
          k_bot(:,:) = jpkm1 * k_top(:,:)  !* bottom ocean = jpk-1 (here use k_top as a land mask)
@@ -139,5 +138,5 @@
       !
       !
-      IF ( ln_zco ) THEN      !==  z-coordinate  ==!   (step-like topography)
+      IF ( ld_zco ) THEN      !==  z-coordinate  ==!   (step-like topography)
          !
          !                                !* bottom ocean compute from the depth of grid-points
@@ -161,5 +160,5 @@
       !
       !
-      IF ( ln_zps ) THEN      !==  zps-coordinate  ==!   (partial bottom-steps)
+      IF ( ld_zps ) THEN      !==  zps-coordinate  ==!   (partial bottom-steps)
          !
          ze3min = 0.1_wp * rn_dz
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_zgr.F90	(revision 9134)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_zgr.F90	(revision 9135)
@@ -14,5 +14,4 @@
    !!---------------------------------------------------------------------
    USE oce            ! ocean variables
-   USE dom_oce ,  ONLY: ln_zco, ln_zps, ln_sco   ! ocean space and time domain
    USE usrdef_nam     ! User defined : namelist variables
    !
@@ -64,5 +63,5 @@
       !
       !
-      ! type of vertical coordinate
+      ! type of vertical coordinate  ==>>>   here SAS_BIPER : slab ocean always
       ! ---------------------------
       ld_zco    = .TRUE.       ! z-full-step coordinate
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_zgr.F90	(revision 9134)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_zgr.F90	(revision 9135)
@@ -15,5 +15,4 @@
    !!---------------------------------------------------------------------
    USE oce            ! ocean variables
-   USE dom_oce ,  ONLY: ln_zco, ln_zps, ln_sco   ! ocean space and time domain
    USE dom_oce ,  ONLY: ht_0, mi0, mi1, nimpp, njmpp,  &
                       & mj0, mj1, glamt, gphit         ! ocean space and time domain
@@ -74,10 +73,9 @@
       !
       !
-      ! type of vertical coordinate
+      ! type of vertical coordinate ==>>>   here WAD_TEST_CASES : s-coordinate always
       ! ---------------------------
-      ! set in usrdef_nam.F90 by reading the namusr_def namelist only ln_zco
-      ln_zco    = .FALSE.      ! z-partial-step coordinate
-      ln_zps    = .FALSE.      ! z-partial-step coordinate
-      ln_sco    = .TRUE.       ! s-coordinate
+      ld_zco    = .FALSE.      ! z-partial-step coordinate
+      ld_zps    = .FALSE.      ! z-partial-step coordinate
+      ld_sco    = .TRUE.       ! s-coordinate
       ld_isfcav = .FALSE.      ! ISF Ice Shelves Flag
       !
@@ -279,5 +277,5 @@
       !                              
       !
-      IF ( ln_sco ) THEN      !==  s-coordinate  ==!   (terrain-following coordinate)
+      IF ( ld_sco ) THEN      !==  s-coordinate  ==!   (terrain-following coordinate)
          !
          ht_0 = zht