Index: /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/context_nemo.xml
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/context_nemo.xml	(revision 9151)
+++ /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/context_nemo.xml	(revision 9152)
@@ -6,13 +6,23 @@
 <context id="nemo">
 <!-- $id$ -->
+    <variable_definition>
+    <!-- Year of time origin for NetCDF files; defaults to 1800 -->
+       <variable id="ref_year" type="int"   > 1800 </variable>
+       <variable id="rau0"     type="float" > 1026.0 </variable>
+       <variable id="cpocean"  type="float" > 3991.86795711963 </variable>
+       <variable id="convSpsu" type="float" > 0.99530670233846  </variable>
+       <variable id="rhoic"    type="float" > 917.0 </variable>
+       <variable id="rhosn"    type="float" > 330.0 </variable>
+       <variable id="missval"  type="float" > 1.e20 </variable>
+    </variable_definition>
 <!-- Fields definition -->
-    <field_definition src="./field_def_nemo-opa.xml"/>    <!--  NEMO ocean dynamics               -->
-    <field_definition src="./field_def_nemo-lim.xml"/>    <!--  LIM ice model                     -->
-    <field_definition src="./field_def_nemo-pisces.xml"/> <!--  Ocean biology                     -->
+    <field_definition src="./field_def_nemo-opa.xml"/>    <!--  NEMO ocean dynamics     -->
+    <field_definition src="./field_def_nemo-lim.xml"/>    <!--  NEMO sea-ice model      -->
+    <field_definition src="./field_def_nemo-pisces.xml"/> <!--  NEMO ocean biology      -->
 
 <!-- Files definition -->
-    <file_definition src="./file_def_nemo-opa.xml"/>     <!--  NEMO ocean dynamics                -->
-    <file_definition src="./file_def_nemo-lim.xml"/>     <!--  NEMO ocean dynamics                -->
-    <file_definition src="./file_def_nemo-pisces.xml"/>  <!--  NEMO ocean dynamics                -->
+    <file_definition src="./file_def_nemo-opa.xml"/>     <!--  NEMO ocean dynamics      -->
+    <file_definition src="./file_def_nemo-lim.xml"/>     <!--  NEMO sea-ice model       -->
+    <file_definition src="./file_def_nemo-pisces.xml"/>  <!--  NEMO ocean biology       -->
     <!-- 
 ============================================================================================================
@@ -22,13 +32,13 @@
     
     <axis_definition>
-      <axis id="deptht" long_name="Vertical T levels" unit="m" positive="down" />
-      <axis id="depthu" long_name="Vertical U levels" unit="m" positive="down" />
-      <axis id="depthv" long_name="Vertical V levels" unit="m" positive="down" />
-      <axis id="depthw" long_name="Vertical W levels" unit="m" positive="down" />
-      <axis id="nfloat" long_name="Float number"      unit="-"                 />
-      <axis id="icbcla"  long_name="Iceberg class"      unit="1"               />
-      <axis id="ncatice" long_name="Ice category"       unit="1"               />
-      <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"            />
-      <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"            />
+      <axis id="deptht"  long_name="Vertical T levels"  unit="m" positive="down" />
+      <axis id="depthu"  long_name="Vertical U levels"  unit="m" positive="down" />
+      <axis id="depthv"  long_name="Vertical V levels"  unit="m" positive="down" />
+      <axis id="depthw"  long_name="Vertical W levels"  unit="m" positive="down" />
+      <axis id="nfloat"  long_name="Float number"       unit="-"                 />
+      <axis id="icbcla"  long_name="Iceberg class"      unit="1"                 />
+      <axis id="ncatice" long_name="Ice category"       unit="1"                 />
+      <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"              />
+      <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"              />
     </axis_definition>
  
Index: /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/file_def_nemo-lim.xml
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/file_def_nemo-lim.xml	(revision 9151)
+++ /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/file_def_nemo-lim.xml	(revision 9152)
@@ -83,4 +83,6 @@
        <field field_ref="iceconc_cat"      name="siconcat"/>
        <field field_ref="icethic_cat"      name="sithicat"/>
+       <field field_ref="icesalt_cat"      name="sisalcat"/>
+       <field field_ref="icetemp_cat"      name="sitemcat"/>
        
      </file>
Index: /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/field_def_nemo-lim.xml
===================================================================
--- /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/field_def_nemo-lim.xml	(revision 9151)
+++ /branches/2017/dev_merge_2017/NEMOGCM/CONFIG/SHARED/field_def_nemo-lim.xml	(revision 9152)
@@ -175,27 +175,27 @@
          <!-- Add-ons for SIMIP -->
          <!-- ================= -->
-         <field id="icemass_cmip" long_name="Sea-ice mass per area"                                   standard_name="sea_ice_amount"                             unit="kg/m2"  > icemass * icemask   + 1.e20 * (1.-icemask  ) </field>
-         <field id="icethic_cmip" long_name="Sea-ice thickness"                                       standard_name="sea_ice_thickness"                          unit="m"      > icethic * icemask05 + 1.e20 * (1.-icemask05) </field>
-         <field id="snwmass_cmip" long_name="Snow mass per area"                                      standard_name="liquid_water_content_of_surface_snow"       unit="kg/m2"  > snwmass * icemask   + 1.e20 * (1.-icemask  ) </field>
-         <field id="snwthic_cmip" long_name="Snow thickness"                                          standard_name="surface_snow_thickness"                     unit="m"      > snwthic * icemask05 + 1.e20 * (1.-icemask05) </field>
-         <field id="iceconc_pct"  long_name="Sea-ice area fraction in percent"                        standard_name="sea_ice_area_fraction_in_percent"           unit="%"      > iceconc * 100.                                </field>
-         <field id="iceage_cmip"  long_name="Age of sea ice"                                          standard_name="age_of_sea_ice"                             unit="days"   > iceage  * icemask15 + 1.e20 * (1.-icemask15) </field>
-         <field id="icesalt_cmip" long_name="Sea ice salinity"                                        standard_name="sea_ice_salinity"                           unit="g/kg"   > icesalt * icemask   + 1.e20 * (1.-icemask)   </field>
-         <field id="icefrb_cmip"  long_name="Sea-ice freeboard"                                       standard_name="sea_ice_freeboard"                          unit="m"      > icefrb  * icemask   + 1.e20 * (1.-icemask)   </field>
+         <field id="icemass_cmip" long_name="Sea-ice mass per area"                                   standard_name="sea_ice_amount"                          detect_missing_value="true" unit="kg/m2"  > icemass * icemask   + $missval * (1.-icemask  ) </field>
+         <field id="icethic_cmip" long_name="Sea-ice thickness"                                       standard_name="sea_ice_thickness"                       detect_missing_value="true" unit="m"      > icethic * icemask05 + $missval * (1.-icemask05) </field>
+         <field id="snwmass_cmip" long_name="Snow mass per area"                                      standard_name="liquid_water_content_of_surface_snow"    detect_missing_value="true" unit="kg/m2"  > snwmass * icemask   + $missval * (1.-icemask  ) </field>
+         <field id="snwthic_cmip" long_name="Snow thickness"                                          standard_name="surface_snow_thickness"                  detect_missing_value="true" unit="m"      > snwthic * icemask05 + $missval * (1.-icemask05) </field>
+         <field id="iceconc_pct"  long_name="Sea-ice area fraction in percent"                        standard_name="sea_ice_area_fraction_in_percent"                                    unit="%"      > iceconc * 100.                                  </field>
+         <field id="iceage_cmip"  long_name="Age of sea ice"                                          standard_name="age_of_sea_ice"                          detect_missing_value="true" unit="days"   > iceage  * icemask15 + $missval * (1.-icemask15) </field>
+         <field id="icesalt_cmip" long_name="Sea ice salinity"                                        standard_name="sea_ice_salinity"                        detect_missing_value="true" unit="g/kg"   > icesalt * icemask   + $missval * (1.-icemask  ) </field>
+         <field id="icefrb_cmip"  long_name="Sea-ice freeboard"                                       standard_name="sea_ice_freeboard"                       detect_missing_value="true" unit="m"      > icefrb  * icemask   + $missval * (1.-icemask  ) </field>
 
 	 <!-- heat -->
-         <field id="icettop_cmip" long_name="Surface temperature of sea ice"                          standard_name="sea_ice_surface_temperature"                unit="K"  > (icettop+273.15) * icemask + 1.e20 * (1.-icemask) </field>
-         <field id="icetsni_cmip" long_name="Temperature at snow-ice interface"                       standard_name="sea_ice_snow_interface_temperature"         unit="K"  > (icetsni+273.15) * icemask + 1.e20 * (1.-icemask) </field>
-         <field id="icetbot_cmip" long_name="Temperature at ice-ocean interface"                      standard_name="sea_ice_bottom_temperature"                 unit="K"  > (icetbot+273.15) * icemask + 1.e20 * (1.-icemask) </field>
-         <field id="icehc_cmip"   long_name="Sea-ice heat content per unit area"                      standard_name="integral_of_sea_ice_temperature_wrt_depth_expressed_as_heat_content" unit="J/m2" > icehc * icemask + 1.e20 * (1.-icemask) </field>
-         <field id="snwhc_cmip"   long_name="Snow-heat content per unit area"                         standard_name="thermal_energy_content_of_surface_snow"                              unit="J/m2" > snwhc * icemask + 1.e20 * (1.-icemask) </field>
+         <field id="icettop_cmip" long_name="Surface temperature of sea ice"                          standard_name="sea_ice_surface_temperature"             detect_missing_value="true" unit="K"  > (icettop+273.15) * icemask + $missval * (1.-icemask) </field>
+         <field id="icetsni_cmip" long_name="Temperature at snow-ice interface"                       standard_name="sea_ice_snow_interface_temperature"      detect_missing_value="true" unit="K"  > (icetsni+273.15) * icemask + $missval * (1.-icemask) </field>
+         <field id="icetbot_cmip" long_name="Temperature at ice-ocean interface"                      standard_name="sea_ice_bottom_temperature"              detect_missing_value="true" unit="K"  > (icetbot+273.15) * icemask + $missval * (1.-icemask) </field>
+         <field id="icehc_cmip"   long_name="Sea-ice heat content per unit area"                      standard_name="integral_of_sea_ice_temperature_wrt_depth_expressed_as_heat_content" detect_missing_value="true" unit="J/m2" > icehc * icemask + $missval * (1.-icemask) </field>
+         <field id="snwhc_cmip"   long_name="Snow-heat content per unit area"                         standard_name="thermal_energy_content_of_surface_snow"                              detect_missing_value="true" unit="J/m2" > snwhc * icemask + $missval * (1.-icemask) </field>
 
 	 <!-- fluxes (mass, heat, salt) -->
-         <field id="vfxsum_cmip"    long_name="Freshwater flux from sea-ice surface"                  standard_name="freshwater_flux_from_ice_surface"           unit="kg/m2/s"  > vfxsum    * icemask + 1.e20 * (1.-icemask) </field>
-         <field id="vfxice_cmip"    long_name="Freshwater flux from sea ice"                          standard_name="freshwater_flux_from_ice"                   unit="kg/m2/s"  > vfxice    * icemask + 1.e20 * (1.-icemask) </field>
-         <field id="hfxsensib_cmip" long_name="Net sensible heat flux under sea ice"                  standard_name="ice_ocean_heat_flux"                        unit="W/m2"     > hfxsensib * icemask + 1.e20 * (1.-icemask) </field> 
-         <field id="hfxcndtop_cmip" long_name="Net conductive heat flux at the ice surface"           standard_name="conductive_heat_flux_at_sea_ice_surface"    unit="W/m2"     > hfxcndtop * icemask + 1.e20 * (1.-icemask) </field> 
-         <field id="hfxcndbot_cmip" long_name="Net conductive heat flux at the ice bottom"            standard_name="conductive_heat_flux_at_sea_ice_bottom"     unit="W/m2"     > hfxcndbot * icemask + 1.e20 * (1.-icemask) </field>
-         <field id="sfxice_cmip"    long_name="Salt flux from sea ice"                                standard_name="salt_flux_from_ice"                         unit="kg/m2/s"  > sfxice    * icemask + 1.e20 * (1.-icemask) </field>
+         <field id="vfxsum_cmip"    long_name="Freshwater flux from sea-ice surface"                  standard_name="freshwater_flux_from_ice_surface"        detect_missing_value="true" unit="kg/m2/s"  > vfxsum    * icemask + $missval * (1.-icemask) </field>
+         <field id="vfxice_cmip"    long_name="Freshwater flux from sea ice"                          standard_name="freshwater_flux_from_ice"                detect_missing_value="true" unit="kg/m2/s"  > vfxice    * icemask + $missval * (1.-icemask) </field>
+         <field id="hfxsensib_cmip" long_name="Net sensible heat flux under sea ice"                  standard_name="ice_ocean_heat_flux"                     detect_missing_value="true" unit="W/m2"     > hfxsensib * icemask + $missval * (1.-icemask) </field> 
+         <field id="hfxcndtop_cmip" long_name="Net conductive heat flux at the ice surface"           standard_name="conductive_heat_flux_at_sea_ice_surface" detect_missing_value="true" unit="W/m2"     > hfxcndtop * icemask + $missval * (1.-icemask) </field> 
+         <field id="hfxcndbot_cmip" long_name="Net conductive heat flux at the ice bottom"            standard_name="conductive_heat_flux_at_sea_ice_bottom"  detect_missing_value="true" unit="W/m2"     > hfxcndbot * icemask + $missval * (1.-icemask) </field>
+         <field id="sfxice_cmip"    long_name="Salt flux from sea ice"                                standard_name="salt_flux_from_ice"                      detect_missing_value="true" unit="kg/m2/s"  > sfxice    * icemask + $missval * (1.-icemask) </field>
 
 	 <!-- trends -->
@@ -216,15 +216,15 @@
 
 	 <!-- momentum (rheology) -->
-         <field id="uice_cmip"    long_name="X-component of sea ice velocity"                         standard_name="sea_ice_x_velocity"                    unit="m/s"   > uice    * icemask + 1.e20 * (1.-icemask) </field>
-         <field id="vice_cmip"    long_name="Y-component of sea ice velocity"                         standard_name="sea_ice_y_velocity"                    unit="m/s"   > vice    * icemask + 1.e20 * (1.-icemask) </field>     
-         <field id="icevel_cmip"  long_name="Sea-ice speed"                                           standard_name="sea_ice_speed"                         unit="m/s"   > icevel  * icemask + 1.e20 * (1.-icemask) </field> 
-         <field id="utau_ai_cmip" long_name="X-component of atmospheric stress on sea ice"            standard_name="surface_downward_x_stress"             unit="N/m2"  > utau_ai * icemask + 1.e20 * (1.-icemask) </field>
-         <field id="vtau_ai_cmip" long_name="Y-component of atmospheric stress on sea ice"            standard_name="surface_downward_y_stress"             unit="N/m2"  > vtau_ai * icemask + 1.e20 * (1.-icemask) </field>
-         <field id="dssh_dx"      long_name="Sea-surface tilt term in force balance (x-component)"    standard_name="sea_surface_tilt_force_on_sea_ice_x"   unit="N/m2" />
-         <field id="dssh_dy"      long_name="Sea-surface tilt term in force balance (y-component)"    standard_name="sea_surface_tilt_force_on_sea_ice_y"   unit="N/m2" />
-         <field id="corstrx"      long_name="Coriolis force term in force balance (x-component)"      standard_name="coriolis_force_on_sea_ice_x"           unit="N/m2" />
-         <field id="corstry"      long_name="Coriolis force term in force balance (y-component)"      standard_name="coriolis_force_on_sea_ice_y"           unit="N/m2" />
-         <field id="intstrx"      long_name="Internal stress term in force balance (x-component)"     standard_name="internal_stress_in_sea_ice_x"          unit="N/m2" />
-         <field id="intstry"      long_name="Internal stress term in force balance (y-component)"     standard_name="internal_stress_in_sea_ice_y"          unit="N/m2" />
+         <field id="uice_cmip"    long_name="X-component of sea ice velocity"                         standard_name="sea_ice_x_velocity"                    detect_missing_value="true" unit="m/s"   > uice    * icemask + $missval * (1.-icemask) </field>
+         <field id="vice_cmip"    long_name="Y-component of sea ice velocity"                         standard_name="sea_ice_y_velocity"                    detect_missing_value="true" unit="m/s"   > vice    * icemask + $missval * (1.-icemask) </field>     
+         <field id="icevel_cmip"  long_name="Sea-ice speed"                                           standard_name="sea_ice_speed"                         detect_missing_value="true" unit="m/s"   > icevel  * icemask + $missval * (1.-icemask) </field> 
+         <field id="utau_ai_cmip" long_name="X-component of atmospheric stress on sea ice"            standard_name="surface_downward_x_stress"             detect_missing_value="true" unit="N/m2"  > utau_ai * icemask + $missval * (1.-icemask) </field>
+         <field id="vtau_ai_cmip" long_name="Y-component of atmospheric stress on sea ice"            standard_name="surface_downward_y_stress"             detect_missing_value="true" unit="N/m2"  > vtau_ai * icemask + $missval * (1.-icemask) </field>
+         <field id="dssh_dx"      long_name="Sea-surface tilt term in force balance (x-component)"    standard_name="sea_surface_tilt_force_on_sea_ice_x"                               unit="N/m2" />
+         <field id="dssh_dy"      long_name="Sea-surface tilt term in force balance (y-component)"    standard_name="sea_surface_tilt_force_on_sea_ice_y"                               unit="N/m2" />
+         <field id="corstrx"      long_name="Coriolis force term in force balance (x-component)"      standard_name="coriolis_force_on_sea_ice_x"                                       unit="N/m2" />
+         <field id="corstry"      long_name="Coriolis force term in force balance (y-component)"      standard_name="coriolis_force_on_sea_ice_y"                                       unit="N/m2" />
+         <field id="intstrx"      long_name="Internal stress term in force balance (x-component)"     standard_name="internal_stress_in_sea_ice_x"                                      unit="N/m2" />
+         <field id="intstry"      long_name="Internal stress term in force balance (y-component)"     standard_name="internal_stress_in_sea_ice_y"                                      unit="N/m2" />
 
 	 <!-- momentum (advection) -->
@@ -239,8 +239,8 @@
 
 	 <!-- categories -->
-         <field id="iceconc_cat_cmip"     long_name="Sea-ice area fractions in thickness categories"  standard_name="sea_ice_area_fraction_over_categories" unit=""   grid_ref="grid_T_3D_ncatice" > iceconc_cat * icemask_cat + 1.e20 * (1.-icemask_cat) </field>
-         <field id="icethic_cat_cmip"     long_name="Sea-ice thickness in thickness categories"       standard_name="sea_ice_thickness_over_categories"     unit="m"  grid_ref="grid_T_3D_ncatice" > icethic_cat * icemask_cat + 1.e20 * (1.-icemask_cat) </field>
-         <field id="snwthic_cat_cmip"     long_name="Snow thickness in thickness categories"          standard_name="snow_thickness_over_categories"        unit="m"  grid_ref="grid_T_3D_ncatice" > snwthic_cat * icemask_cat + 1.e20 * (1.-icemask_cat) </field>
-         <field id="iceconc_cat_pct_cmip" long_name="Sea-ice area fractions in thickness categories"  standard_name="sea_ice_area_fraction_over_categories" unit="%"  grid_ref="grid_T_3D_ncatice" > iceconc_cat*100. * icemask_cat + 1.e20 * (1.-icemask_cat) </field>
+         <field id="iceconc_cat_cmip"     long_name="Sea-ice area fractions in thickness categories"  standard_name="sea_ice_area_fraction_over_categories" detect_missing_value="true" unit=""  grid_ref="grid_T_3D_ncatice" > iceconc_cat      * icemask_cat + $missval * (1.-icemask_cat) </field>
+         <field id="icethic_cat_cmip"     long_name="Sea-ice thickness in thickness categories"       standard_name="sea_ice_thickness_over_categories"     detect_missing_value="true" unit="m" grid_ref="grid_T_3D_ncatice" > icethic_cat      * icemask_cat + $missval * (1.-icemask_cat) </field>
+         <field id="snwthic_cat_cmip"     long_name="Snow thickness in thickness categories"          standard_name="snow_thickness_over_categories"        detect_missing_value="true" unit="m" grid_ref="grid_T_3D_ncatice" > snwthic_cat      * icemask_cat + $missval * (1.-icemask_cat) </field>
+         <field id="iceconc_cat_pct_cmip" long_name="Sea-ice area fractions in thickness categories"  standard_name="sea_ice_area_fraction_over_categories" detect_missing_value="true" unit="%" grid_ref="grid_T_3D_ncatice" > iceconc_cat*100. * icemask_cat + $missval * (1.-icemask_cat) </field>
 	 
       </field_group>
@@ -338,10 +338,10 @@
           <field field_ref="icepres"          name="sitimefrac"   /> 
           <field field_ref="iceconc_pct"      name="siconc"       /> 
-          <field field_ref="icethic_cmip"     name="sithick"      default_value="1.0e20" detect_missing_value="true" operation="average" /> 
-          <field field_ref="snwthic_cmip"     name="sisnthick"    default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icettop_cmip"     name="sitemptop"    default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="uice_cmip"        name="siu"          default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="vice_cmip"        name="siv"          default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icevel_cmip"      name="sispeed"      default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icethic_cmip"     name="sithick"      /> 
+          <field field_ref="snwthic_cmip"     name="sisnthick"    />
+          <field field_ref="icettop_cmip"     name="sitemptop"    />
+          <field field_ref="uice_cmip"        name="siu"          />
+          <field field_ref="vice_cmip"        name="siv"          />
+          <field field_ref="icevel_cmip"      name="sispeed"      />
       </field_group>
 
@@ -351,29 +351,24 @@
           <field field_ref="icepres"          name="sitimefrac"   />
           <field field_ref="iceconc_pct"      name="siconc"       />
-          <field field_ref="icemass_cmip"     name="simass"       default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icethic_cmip"     name="sithick"      default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icemass_cmip"     name="simass"       />
+          <field field_ref="icethic_cmip"     name="sithick"      />
           <field field_ref="icevolu"          name="sivol"        />
-          <field field_ref="snwmass_cmip"     name="sisnmass"     default_value="1.0e20" detect_missing_value="true" operation="average" /> 
-          <field field_ref="snwthic_cmip"     name="sisnthick"    default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="snwmass_cmip"     name="sisnmass"     /> 
+          <field field_ref="snwthic_cmip"     name="sisnthick"    />
    
-          <!-- category-dependent fields -->
-          <field field_ref="iceconc_cat_pct_cmip" name="siitdconc"    default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icethic_cat_cmip"     name="siitdthick"   default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="snwthic_cat_cmip"     name="siitdsnthick" default_value="1.0e20" detect_missing_value="true" operation="average" />
-
           <!-- additional state variables-->
-          <field field_ref="icettop_cmip"     name="sitemptop"    default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icetsni_cmip"     name="sitempsnic"   default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icetbot_cmip"     name="sitempbot"    default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="iceage_cmip"      name="siage"        default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icettop_cmip"     name="sitemptop"    />
+          <field field_ref="icetsni_cmip"     name="sitempsnic"   />
+          <field field_ref="icetbot_cmip"     name="sitempbot"    />
+          <field field_ref="iceage_cmip"      name="siage"        />
           <field field_ref="icesalm"          name="sisaltmass"   />
-          <field field_ref="icesalt_cmip"     name="sisali"       default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icefrb_cmip"      name="sifb"         default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icehc_cmip"       name="sihc"         default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="snwhc_cmip"       name="sisnhc"       default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icesalt_cmip"     name="sisali"       />
+          <field field_ref="icefrb_cmip"      name="sifb"         />
+          <field field_ref="icehc_cmip"       name="sihc"         />
+          <field field_ref="snwhc_cmip"       name="sisnhc"       />
 
           <!-- freshwater fluxes -->
-          <field field_ref="vfxice_cmip"      name="siflfwbot"    default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="vfxsum_cmip"      name="siflfwdrain"  default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="vfxice_cmip"      name="siflfwbot"    />
+          <field field_ref="vfxsum_cmip"      name="siflfwdrain"  />
 
           <!-- area balance -->
@@ -397,32 +392,32 @@
 
           <!-- heat balance -->
-          <field field_ref="hfxsensib"        name="siflsensupbot"    default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="hfxcndtop"        name="siflcondtop"      default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="hfxcndbot"        name="siflcondbot"      default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="hfxsensib"        name="siflsensupbot"    />
+          <field field_ref="hfxcndtop"        name="siflcondtop"      />
+          <field field_ref="hfxcndbot"        name="siflcondbot"      />
 
           <!-- salt balance -->
-          <field field_ref="sfxice_cmip"      name="siflsaltbot"      default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="sfxice_cmip"      name="siflsaltbot"      />
 
           <!-- sea-ice dynamics -->
-          <field field_ref="uice_cmip"        name="siu"              default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="vice_cmip"        name="siv"              default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icevel_cmip"      name="sispeed"          default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="utau_ai_cmip"     name="sistrxdtop"       default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="vtau_ai_cmip"     name="sistrydtop"       default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="utau_oi"          name="sistrxubot"       default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="vtau_oi"          name="sistryubot"       default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icestr"           name="sicompstren"      default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="dssh_dx"          name="siforcetiltx"     default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="dssh_dy"          name="siforcetilty"     default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="corstrx"          name="siforcecoriolx"   default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="corstry"          name="siforcecorioly"   default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="intstrx"          name="siforceintstrx"   default_value="1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="intstry"          name="siforceintstry"   default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="uice_cmip"        name="siu"              />
+          <field field_ref="vice_cmip"        name="siv"              />
+          <field field_ref="icevel_cmip"      name="sispeed"          />
+          <field field_ref="utau_ai_cmip"     name="sistrxdtop"       />
+          <field field_ref="vtau_ai_cmip"     name="sistrydtop"       />
+          <field field_ref="utau_oi"          name="sistrxubot"       />
+          <field field_ref="vtau_oi"          name="sistryubot"       />
+          <field field_ref="icestr"           name="sicompstren"      />
+          <field field_ref="dssh_dx"          name="siforcetiltx"     />
+          <field field_ref="dssh_dy"          name="siforcetilty"     />
+          <field field_ref="corstrx"          name="siforcecoriolx"   />
+          <field field_ref="corstry"          name="siforcecorioly"   />
+          <field field_ref="intstrx"          name="siforceintstrx"   />
+          <field field_ref="intstry"          name="siforceintstry"   />
           <field field_ref="xmtrptot"         name="sidmasstranx"     />
           <field field_ref="ymtrptot"         name="sidmasstrany"     />
-          <field field_ref="normstr"          name="sistresave"       default_value="1.0e20" detect_missing_value="true" operation="instant" />
-          <field field_ref="sheastr"          name="sistremax"        default_value="1.0e20" detect_missing_value="true" operation="instant" />
-          <field field_ref="icediv"           name="sidivvel"         default_value="1.0e20" detect_missing_value="true" operation="instant" />
-          <field field_ref="iceshe"           name="sishevel"         default_value="1.0e20" detect_missing_value="true" operation="instant" />
+          <field field_ref="normstr"          name="sistresave"       operation="instant" />
+          <field field_ref="sheastr"          name="sistremax"        operation="instant" />
+          <field field_ref="icediv"           name="sidivvel"         operation="instant" />
+          <field field_ref="iceshe"           name="sishevel"         operation="instant" />
 
           <!-- sea ice fluxes across straits: 2D arrays to be post-processed  -->
@@ -434,4 +429,9 @@
           <field field_ref="yatrp"            name="siareaacrossline_y" />
 
+          <!-- category-dependent fields -->
+          <field field_ref="iceconc_cat_pct_cmip" name="siitdconc"    />
+          <field field_ref="icethic_cat_cmip"     name="siitdthick"   />
+          <field field_ref="snwthic_cat_cmip"     name="siitdsnthick" />
+
       </field_group>
 