Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/AGRIF_FixedGrids.in
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/AGRIF_FixedGrids.in	(revision 9152)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/AGRIF_FixedGrids.in	(revision 9153)
@@ -1,3 +1,3 @@
 1
-41 60 41 60 3 3 3
+39 58 39 58 3 3 3
 0
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/AGRIF_FixedGrids.in_1ghost
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/AGRIF_FixedGrids.in_1ghost	(revision 9153)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/AGRIF_FixedGrids.in_1ghost	(revision 9153)
@@ -0,0 +1,3 @@
+1
+41 60 41 60 3 3 3
+0
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/AGRIF_FixedGrids.in_3ghosts
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/AGRIF_FixedGrids.in_3ghosts	(revision 9153)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/AGRIF_FixedGrids.in_3ghosts	(revision 9153)
@@ -0,0 +1,3 @@
+1
+39 58 39 58 3 3 3
+0
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/context_nemo.xml
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/context_nemo.xml	(revision 9152)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/context_nemo.xml	(revision 9153)
@@ -6,11 +6,21 @@
 <context id="nemo">
 <!-- $id$ -->
+    <variable_definition>
+    <!-- Year of time origin for NetCDF files; defaults to 1800 -->
+       <variable id="ref_year" type="int"   > 1800 </variable>
+       <variable id="rau0"     type="float" > 1026.0 </variable>
+       <variable id="cpocean"  type="float" > 3991.86795711963 </variable>
+       <variable id="convSpsu" type="float" > 0.99530670233846  </variable>
+       <variable id="rhoic"    type="float" > 917.0 </variable>
+       <variable id="rhosn"    type="float" > 330.0 </variable>
+       <variable id="missval"  type="float" > 1.e20 </variable>
+    </variable_definition>
 <!-- Fields definition -->
-    <field_definition src="./field_def_nemo-opa.xml"/>   <!--  NEMO ocean dynamics                     -->
-    <field_definition src="./field_def_nemo-lim.xml"/>   <!--  LIM ice model                           -->
+    <field_definition src="./field_def_nemo-opa.xml"/>    <!--  NEMO ocean dynamics     -->
+    <field_definition src="./field_def_nemo-lim.xml"/>    <!--  NEMO sea-ice model      -->
 
 <!-- Files definition -->
-    <file_definition src="./file_def_nemo-opa.xml"/>     <!--  NEMO ocean dynamics                     -->
-    <file_definition src="./file_def_nemo-lim.xml"/>     <!--  NEMO ocean sea ice                      -->
+    <file_definition src="./file_def_nemo-opa.xml"/>     <!--  NEMO ocean dynamics      -->
+    <file_definition src="./file_def_nemo-lim.xml"/>     <!--  NEMO sea-ice model       -->
     <!-- 
 ============================================================================================================
@@ -20,13 +30,13 @@
     
     <axis_definition>
-      <axis id="deptht" long_name="Vertical T levels" unit="m" positive="down" />
-      <axis id="depthu" long_name="Vertical U levels" unit="m" positive="down" />
-      <axis id="depthv" long_name="Vertical V levels" unit="m" positive="down" />
-      <axis id="depthw" long_name="Vertical W levels" unit="m" positive="down" />
-      <axis id="nfloat" long_name="Float number"      unit="-"                 />
-      <axis id="icbcla"  long_name="Iceberg class"      unit="1"               />
-      <axis id="ncatice" long_name="Ice category"       unit="1"               />
-      <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"            />
-      <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"            />
+      <axis id="deptht"  long_name="Vertical T levels"  unit="m" positive="down" />
+      <axis id="depthu"  long_name="Vertical U levels"  unit="m" positive="down" />
+      <axis id="depthv"  long_name="Vertical V levels"  unit="m" positive="down" />
+      <axis id="depthw"  long_name="Vertical W levels"  unit="m" positive="down" />
+      <axis id="nfloat"  long_name="Float number"       unit="-"                 />
+      <axis id="icbcla"  long_name="Iceberg class"      unit="1"                 />
+      <axis id="ncatice" long_name="Ice category"       unit="1"                 />
+      <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"              />
+      <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"              />
     </axis_definition>
  
Index: branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/file_def_nemo-lim.xml
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/file_def_nemo-lim.xml	(revision 9152)
+++ branches/2017/dev_merge_2017/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/file_def_nemo-lim.xml	(revision 9153)
@@ -17,4 +17,8 @@
 	<file id="file1" name_suffix="_icemod" description="ice variables" enabled=".true." >
 
+        <!-- ice mask -->
+        <field field_ref="icemask"          name="simsk"   />
+
+        <!-- general -->
         <field field_ref="snwvolu"          name="snvolu" />
         <field field_ref="icethic"          name="sithic" />
@@ -22,32 +26,63 @@
         <field field_ref="iceconc"          name="siconc" />
         <field field_ref="icesalt"          name="sisali" />
+        <field field_ref="iceapnd"          name="siapnd" />
+        <field field_ref="icevpnd"          name="sivpnd" />
+        <field field_ref="sst_m"            name="sst_m"  />
+        <field field_ref="sss_m"            name="sss_m"  />
+
+        <!-- heat -->
         <field field_ref="icetemp"          name="sitemp" />
         <field field_ref="icettop"          name="sittop" />
-        <field field_ref="uice"             name="sivelu" />
-        <field field_ref="vice"             name="sivelv" />
-        <field field_ref="icevel"           name="sivelo" />
-        <field field_ref="icediv"           name="sidive" />
-        <field field_ref="iceshe"           name="sishea" />
-        <field field_ref="icestr"           name="sistre" />
-        <field field_ref="sst_m"            name="sst_m" />
+        <field field_ref="icetbot"          name="sitbot" />
+        <field field_ref="icetsni"          name="sitsni" />
 
-        <!-- fluxes -->
-        <field field_ref="qt_oce_ai"        name="qt_oce_ai" />
-        <field field_ref="qt_atm_oi"        name="qt_atm_oi" />
-        <field field_ref="hfxcndtop"        name="hfxcndtop" />
-        <field field_ref="hfxcndbot"        name="hfxcndbot" />
-        <field field_ref="hfxsensib"        name="hfxsensib" />
-        <field field_ref="hfxbom"           name="hfxbom" />
-        <field field_ref="hfxbog"           name="hfxbog" />
-        <field field_ref="hfxsum"           name="hfxsum" />
-        <field field_ref="hfxopw"           name="hfxopw" />
-        <field field_ref="hfxdif"           name="hfxdif" />
-        <field field_ref="hfxsnw"           name="hfxsnw" />
-        <field field_ref="hfxerr"           name="hfxerr" />
+        <!-- momentum -->
+        <field field_ref="uice"             name="sivelu"  />
+        <field field_ref="vice"             name="sivelv"  />
+        <field field_ref="icevel"           name="sivelo"  />
+        <field field_ref="utau_ai"          name="utau_ai" />
+        <field field_ref="vtau_ai"          name="vtau_ai" />
+        <field field_ref="utau_oi"          name="utau_oi" />
+        <field field_ref="vtau_oi"          name="vtau_oi" />
+
+        <!-- rheology -->
+        <field field_ref="icediv"           name="sidive"  />
+        <field field_ref="iceshe"           name="sishea"  />
+        <field field_ref="icestr"           name="sistre"  />
+        <field field_ref="normstr"          name="normstr" />
+        <field field_ref="sheastr"          name="sheastr" />
+        <field field_ref="isig1"            name="isig1"   />
+        <field field_ref="isig2"            name="isig2"   />
+        <field field_ref="isig3"            name="isig3"   />
+
+        <!-- heat fluxes -->
+        <field field_ref="qt_oce_ai"        name="qt_oce_ai"  />
+        <field field_ref="qt_atm_oi"        name="qt_atm_oi"  />
+        <field field_ref="qtr_ice_top"      name="qtr_ice_top"/>
+        <field field_ref="qtr_ice_bot"      name="qtr_ice_bot"/>
+        <field field_ref="qt_ice"           name="qt_ice"     />
+        <field field_ref="qsr_ice"          name="qsr_ice"    />
+        <field field_ref="qns_ice"          name="qns_ice"    />
+        <field field_ref="qemp_ice"         name="qemp_ice"   />
+        <field field_ref="albedo"           name="albedo"     />
+
+        <field field_ref="hfxcndtop"        name="hfxcndtop"  />
+        <field field_ref="hfxcndbot"        name="hfxcndbot"  />
+        <field field_ref="hfxsensib"        name="hfxsensib"  />
+
+        <!-- salt fluxes -->
+        <field field_ref="sfxice"           name="sfxice" />
+
+        <!-- mass fluxes -->
+        <field field_ref="vfxice"           name="vfxice" />
+        <field field_ref="vfxsnw"           name="vfxsnw" />
 
         <!-- categories -->
+        <field field_ref="icemask_cat"      name="simskcat"/>
         <field field_ref="snwthic_cat"      name="snthicat"/>
         <field field_ref="iceconc_cat"      name="siconcat"/>
         <field field_ref="icethic_cat"      name="sithicat"/>
+        <field field_ref="icesalt_cat"      name="sisalcat"/>
+        <field field_ref="icetemp_cat"      name="sitemcat"/>
 
         </file>